xdg-desktop-portal-phosh (0.53.0) experimental; urgency=medium

  [ Arun Mani J ]
  * xdp-phrosh: Add `url` as dependency.
    The ASHPD will not re-export it.
  * xdp-phrosh/utils: Build `AppInfo` using `gio`
    ASHPD will remove `AppID::app_info` method.
  * xdp-phrosh: Switch to temporary fork of ASHPD.
    The latest release 0.13-alpha of ASHPD uses alpha versions of GLib (0.22.0-alpha),
    GTK (0.11.0-alpha) etc. which we can not switch to because it contains some breaking changes with no
    workarounds yet. For example, `DesktopAppInfo` is now part of `gio-unix` package which is not
    released yet.
    This temporary fork applies our patches on top of ASHPD 0.12.1.
    We will switch back once Rust bindings of GLib, GTK etc. and ASHPD are out of alpha.
    Closes: https://gitlab.gnome.org/World/Phosh/xdg-desktop-portal-phosh/-/issues/12
    Closes: https://gitlab.gnome.org/World/Phosh/xdg-desktop-portal-phosh/-/issues/13
    Closes: https://gitlab.gnome.org/World/Phosh/xdg-desktop-portal-phosh/-/issues/22
  * xdp-phrosh: Quit on name lost.
    Closes: https://gitlab.gnome.org/World/Phosh/xdg-desktop-portal-phosh/-/issues/17
  * xdp-phrosh: Manually bind to `GSettings`
    The GTK Wayland backend in 4.22 will no longer consult GSettings, and instead fall right back to
    defaults if it can't use portals. Therefore, portal backends using GTK need to connect GTK settings
    to GSettings themselves.
    Closes: https://gitlab.gnome.org/World/Phosh/xdg-desktop-portal-phosh/-/issues/14

  [ Guido Günther ]
  * treewide: Drop C filechooser.
    We have the Rust implementation
  * pmp/wallpaper: Drop C implementation.
    We have a Rust based one nowadays
  * pmp/settings: Vendor adw_accent_color_rgba.
    No need to depend on libadwaita and gdk for just that going through all the portal init
    complications.
  * pmp: Drpo external-win.
    Not needed when we don't have an GUI portals in C anymore
  * pmp/notification: Use gdk-pixbuf directly.
    Avoids the GTK and GDK dependencies
  * pmp: Don't init gtk and libadwaita.
    This gets us out of the portal avoidance business for this portal
  * build: Drop gtk and libadwaita dependencies from C portal.
    No longer needed and gets us out of the portal avoidance business.
    The remaining bits are used by the thumbnailer which is fine as it
    runs out of process.
    We turn the pfs dependency into a subproject as we currently need
    it until there is a crate published.

 -- Guido Günther <agx@sigxcpu.org>  Fri, 13 Feb 2026 15:39:13 +0100

xdg-desktop-portal-phosh (0.53~rc1) experimental; urgency=medium

  [ Guido Günther ]
  * wallpaper: Silence deprecations.
    It's totally fine to use in the GTK4 cycle

  [ Arun Mani J ]
  * subprojects: Update `pfs` to `0e6cab7b`

 -- Guido Günther <agx@sigxcpu.org>  Tue, 10 Feb 2026 18:16:37 +0100

xdg-desktop-portal-phosh (0.52.0) experimental; urgency=medium

  * gitignore: Ignore subproject wraplock

 -- Guido Günther <agx@sigxcpu.org>  Sat, 03 Jan 2026 11:23:08 +0100

xdg-desktop-portal-phosh (0.52~rc1) experimental; urgency=medium

  [ Guido Günther ]
  * application: Handle mtime as 64bit uint.
    This is how we retrieve it from file info.
    Closes: https://gitlab.gnome.org/World/Phosh/xdg-desktop-portal-phosh/-/issues/18
    Tested-By: Achill Gilgenast <achill@achill.org>

  [ Achill Gilgenast ]
  * build: Use debug option to detect development versions
    meson's buildtype option contains not only if the build is not using debug,
    but also configures the optimization option.
    Ref: https://mesonbuild.com/Builtin-options.html#details-for-buildtype

  [ Arun Mani J ]
  * xdp-phrosh: Increase test timeout.
    Cargo needs to rebuild the executable with `test` profile, so allow a bigger timeout.
  * xdp-phrosh: Return selected directory if `files` is empty.
    Closes: https://gitlab.gnome.org/World/Phosh/xdg-desktop-portal-phosh/-/issues/19
  * tree: Add `FileChooser` to README
  * xdp-phrosh: Add `PORTAL_NAME`
  * xdp-phrosh: Add `Wallpaper` interface
  * xdp-phrosh: Include missing `current-name`
    Closes: https://gitlab.gnome.org/World/Phosh/xdg-desktop-portal-phosh/-/issues/20

 -- Guido Günther <agx@sigxcpu.org>  Mon, 29 Dec 2025 18:35:16 +0100

xdg-desktop-portal-phosh (0.51.0) experimental; urgency=medium

  [ Arun Mani J ]
  * thumbnailer: Mention it in `README.md`
  * xdp-phrosh: Allow replacement
  * xdp-phrosh: Simplify `main.rs`
  * thumbnailer: Use `g_file_enumerator_get_child`
  * thumbnail: Introduce `ThumbnailingDone`
  * thumbnailer: Uncrustify `application.c`

  [ Guido Günther ]
  * packaging: Build-depend on python3-docutils.
    Needed to build the manpages. We can drop it as extra dep
    from the ci job then.
  * pfs: Update subproject.
    We want the thumbnailing code. We'll update to a release once
    that is out.

 -- Guido Günther <agx@sigxcpu.org>  Sat, 15 Nov 2025 17:57:03 +0100

xdg-desktop-portal-phosh (0.51~rc1) experimental; urgency=medium

  [ Guido Günther ]
  * pfs: Use local subproject.
    We can use the subproject until we drop those bits from
    the C portal.
    Closes: https://gitlab.gnome.org/guidog/xdg-desktop-portal-phosh/-/issues/15

  [ Arun Mani J ]
  * xdp-phrosh: Add updated lock file.
    Fixes: dbec4bc ("pfs: Use local subproject")
  * xdp-phrosh: Clippy cleanups
  * ci: Lint with Clippy
  * ci: Check formatting with Rustfmt
  * tree: Add thumbnailer service and CLI

 -- Guido Günther <agx@sigxcpu.org>  Sun, 09 Nov 2025 19:25:51 +0100

xdg-desktop-portal-phosh (0.50.0) experimental; urgency=medium

  [ Guido Günther ]
  * build: Allow to disable the Rust portal. Not all distros can ship it yet.
    Gbp-Pq: Name Allow-to-disable-the-Rust-portal.patch
  * build: Use ashpd 0.12.
    According to `git describe` the needed commit is part of 0.12

  [ Arun Mani J ]
  * po: Add missing files.
    Fixes: d0d3948 ("phrosh: Handle CLI options") and cb73059 ("phrosh: Add `AppChooser` interface")
  * responders: Remove `Default` implementation.
    Mistakenly copied from outdated examples.
  * xdp-phrosh: Add test support
  * xdp-phrosh: Add `FileChooser` interface

 -- Guido Günther <agx@sigxcpu.org>  Sat, 04 Oct 2025 11:11:10 +0200

xdg-desktop-portal-phosh (0.50~rc1) experimental; urgency=medium

  [ Arun Mani J ]
  * xdp-phrosh: Move to `gtk-rs` `0.10`
    Closes: https://gitlab.gnome.org/guidog/xdg-desktop-portal-phosh/-/issues/11
  * ci: Use `forky` image

  [ Guido Günther ]
  * doc: Use a matrix.to link.
  * pfs: Update to 0.0.5.
    Closes: https://gitlab.gnome.org/guidog/xdg-desktop-portal-phosh/-/issues/11

 -- Guido Günther <agx@sigxcpu.org>  Sun, 21 Sep 2025 17:59:09 +0200

xdg-desktop-portal-phosh (0.49.0) experimental; urgency=medium

  * No changes over rc1

 -- Guido Günther <agx@sigxcpu.org>  Thu, 14 Aug 2025 10:35:48 +0200

xdg-desktop-portal-phosh (0.49~rc1) experimental; urgency=medium

  [ Arun Mani J ]
  * tree: Fix typos and reformat `README.md`
  * ci: Install Rust from Experimental.
    Rust >= 1.86 is required by ASHPD in the upcoming Phrosh portal.
    Also add `build-essential` to resolve conflicts while building
    the `.deb` package.
  * phrosh: Bootstrap with `Account` interface
  * phrosh: Add `AppChooser` interface
  * phrosh: Drop `gdk4-wayland` dependency
  * phrosh: Drop `tokio-macros` dependency
  * phrosh: Use tabular dependencies format
  * phrosh: Use semver and latest `tokio`
  * phrosh: Force grouped imports in all Rust files
  * phrosh: Prevent GTK from using portals.
    Closes: https://gitlab.gnome.org/guidog/xdg-desktop-portal-phosh/-/issues/9
  * phrosh: Provide way to initialize i18n separately
  * phrosh: Handle CLI options
  * phrosh: Add `--replace` option
  * phrosh: Add `--verbose` option.
    Closes: https://gitlab.gnome.org/guidog/xdg-desktop-portal-phosh/-/issues/10

  [ Guido Günther ]
  * ci: Update shared scripts to 7e4c544
  * ci: Use common job.
    The common job properly extends the sources.list *before*
    installing build-deps so that we can have the build-deps
    correct in the control file.
  * packaging: Bump rustc dependency.
    Let's rather fail upfront than failing the build much later.

 -- Guido Günther <agx@sigxcpu.org>  Fri, 08 Aug 2025 20:00:13 +0200

xdg-desktop-portal-phosh (0.48.0) experimental; urgency=medium

  * No changes over rc2

 -- Guido Günther <agx@sigxcpu.org>  Sun, 29 Jun 2025 12:56:10 +0200

xdg-desktop-portal-phosh (0.48~rc2) experimental; urgency=medium

  * Update subproject in tarball too

 -- Guido Günther <agx@sigxcpu.org>  Mon, 23 Jun 2025 15:25:22 +0200

xdg-desktop-portal-phosh (0.48~rc1) experimental; urgency=medium

  * pfs: Bump to 0.0.4.
    This fixes the empty state when the opened directoy
    is empty.

 -- Guido Günther <agx@sigxcpu.org>  Sun, 22 Jun 2025 10:49:54 +0200

xdg-desktop-portal-phosh (0.47.0) experimental; urgency=medium

  * treewise: Prefer char* over gchar*
  * notification: Support cellbroadcast categories
  * Update pfs to 0.0.3

 -- Guido Günther <agx@sigxcpu.org>  Sat, 17 May 2025 11:48:04 +0200

xdg-desktop-portal-phosh (0.46.0) experimental; urgency=medium

  * treewide: Format meson files
  * ci: Update shared scripts to a9fef9a
  * ci: Check meson format
  * build: Bump dependency on xdg-desktop-portal
  * build: Bump glib dependency.
    Useful for g_autofd
  * notification: Add new portal.
    This is based on GTK's impleentation. We add our own implementation
    so we can add portal v2 features:
        https://github.com/flatpak/xdg-desktop-portal-gtk/pull/516
  * notification: Drop unused data argument
  * portal: Enable the notification portal
  * notification: Support markup-body
  * notification: Support transient and resident display hint.
    These can be mapped to fdo hints right away.
  * notification: Support category.
    This is part of v2 of the notification spec
  * notification: Support "silent" sound hint
  * notification: Advertise v2 support
  * notification: Provide supported-options.
    We add the categories we handle in phosh atm.

 -- Guido Günther <agx@sigxcpu.org>  Sat, 29 Mar 2025 12:39:46 +0100

xdg-desktop-portal-phosh (0.46~rc1) experimental; urgency=medium

  [ Gotam Gorabh ]
  * docs: Fix running command path

  [ Guido Günther ]
  * build: Update dot files from meta-phosh
  * wallpaper-preview: Use center box for top panel.
    Improves layout, especially when we hide the clock
  * wallpaper: Add lockscreen wallpaper preview.
    Add a dedicated preview for the lockscreen wallpaper.
  * wallpaper: Actually set the lockscreen wallpaper.
    Until now the `set-on` flag was completely ignored. Handle `lockscreen`
    to set the lockscreen wallpaper.
  * pfs: Bump to 0.0.2

 -- Guido Günther <agx@sigxcpu.org>  Sat, 22 Mar 2025 09:11:45 +0100

xdg-desktop-portal-phosh (0.45.0) experimental; urgency=medium

  * build: Drop GTK max version requirement for the moment.
    This allows us to use older GTK but still build with 4.17
  * portal: Use GTK's new portal avoidance.
    It has to be invoked before gtk_init().
    See GTK commit f28e94acfa058a048a35d50c2f1a6d35f097d8e5

 -- Guido Günther <agx@sigxcpu.org>  Wed, 05 Feb 2025 09:54:49 +0100

xdg-desktop-portal-phosh (0.44.0) experimental; urgency=medium

  * pfs: Switch to 0.0.1 release.
    A bit easier to follow than a commit hash
  * file-chooser: Handle read only flag.
    We add it to the choices and filter it out when getting the result.
    While at that wrap passed in choices lists in a variant as that is
    what pfs currently expects.
    To test: gnome-text-editor sets a choices menu

 -- Guido Günther <agx@sigxcpu.org>  Sun, 29 Dec 2024 16:12:20 +0100

xdg-desktop-portal-phosh (0.44~rc2) experimental; urgency=medium

  * Rebuild tarball with latest pfs

 -- Guido Günther <agx@sigxcpu.org>  Sat, 21 Dec 2024 18:53:54 +0100

xdg-desktop-portal-phosh (0.44~rc1) experimental; urgency=medium

  * gitignore: Drop unused files and patterns. Users should gitignore their
    editor files
  * ci: Install git for subproject downloads
  * filechooser: New portal.
    The overall structure is based on the GTK file chooser portal. We use
    pfs as a git submodule for the actual dialog.
  * tools: Drop check-po.
    We use our shared checks since some time
    Fixes 44f3faa ("ci: Update CI with our common checks")
  * subprojects: Forward pfs project.
    Forward up to
      3fcb219 ("file-selector: Remember sort mode")
    so have persistent sort mode
  * packaging: Install schemas.
    We ship them from here as the portal is the primary pfs user
    atm.
  * build: Use canonical portal name. While pmp is our symbol prefix for
    the C side the portal is the "Phosh" portal so name it accordingly.
  * packaging: Conflict with older phosh. This ensures we don't have a
    file conflict

 -- Guido Günther <agx@sigxcpu.org>  Sat, 07 Dec 2024 23:47:31 +0100

xdg-desktop-portal-phosh (0.42.0) experimental; urgency=medium

  [ Guido Günther ]
  * build: Use canonical name.
  * build: Drop post install hooks.
    We don't install schemas or icons and otherwise fail on empty /usr/local.
  * build: Unset structured logging.  Needed to make --verbose work
  * settings: Fix memory leak
  * settings: Don't notify icon-theme on theme changes.
  * settings: Add support for contrast value.

  [ fossdd ]
  * data: Add option for systemd_user_unit_dir.
    So that systems without systemd-dev can still build the portal.

  [ Eugenio Paolantonio (g7) ]
  * settings: Add accent colour support.
    Heavily based on the corresponding commit from xdg-desktop-portal-gnome
    (d431d434726440be96f20d2a43efcc135d4d1cb6) by Jamie Murphy.
  * build: Bump dependencies for accent colour support
    gsettings-desktop-schemas >= 47, and libadwaita >= 1.6

 -- Guido Günther <agx@sigxcpu.org>  Sun, 20 Oct 2024 17:48:40 +0200

xdg-desktop-portal-phosh (0.42~rc1) experimental; urgency=medium

  * Initial release.

 -- Guido Günther <agx@sigxcpu.org>  Thu, 17 Oct 2024 09:03:20 +0200
